<?php
/**
* @author moufer<moufer@163.com>
* @copyright www.modoer.com
*/
!defined('IN_MUDDER') && exit('Access Denied');
$mymod = $cr_mod ? $MOD : read_cache(MUDDER_CACHEDIR.'cache_'.$val_mod['flag'].'_config.php');
if($mymod['rewrite']) {
    $patterns[] = '/<a href="'.$full_url_preg.'(index.php|)\?ac=detail(&|&amp;)couponid=([0-9]+)"/i';
    $replacement[] = '<a href="'.$full_url.'$3"';
    $cr_mod && crMod($full_url_preg,$patterns,$replacement);
}
unset($mymod);
?>